- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# SocketOutputStream Class Reference

Inherits OutputStream.

List of all members.

## Public Member Functions
| SocketOutputStream (const SocketPtr &socket)
| ~SocketOutputStream ()
virtual void | close (Pool &p)
virtual void | flush (Pool &p)
virtual void | write (ByteBuffer &buf, Pool &p)

## Constructor & Destructor Documentation

SocketOutputStream | ( | const SocketPtr & | socket | ) |

~SocketOutputStream | ( |  | ) |

## Member Function Documentation

virtual void close | ( | Pool & | p | ) | `[virtual]`

| Implements OutputStream.

virtual void flush | ( | Pool & | p | ) | `[virtual]`

| Implements OutputStream.

virtual void write | ( | ByteBuffer & | buf,
|  | Pool & | p
| ) | `[virtual]`

| Implements OutputStream.

The documentation for this class was generated from the following file:

- socketoutputstream.h